Bug 45747 - [EasyHack] remove the limitation to 3 sort entries in calc
Summary: [EasyHack] remove the limitation to 3 sort entries in calc
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.5.0 Beta1
Hardware: Other All
: medium normal
Assignee: Albert Thuswaldner
QA Contact:
URL:
Whiteboard: target:3.6.0
Keywords: difficultyBeginner, easyHack, skillCpp
Depends on:
Blocks:
 
Reported: 2012-02-07 09:57 UTC by Markus Mohrhard
Modified: 2015-12-15 12:18 UTC (History)
3 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Markus Mohrhard 2012-02-07 09:57:59 UTC
At the moment we only allow to sort according to 3 columns but there is no reason why we should not increase the limit or remove any limit.

The only difficult part is that we need to adjust the ui and allow more entries there. The code for the number of entries is at 

http://opengrok.libreoffice.org/xref/core/sc/inc/sortparam.hxx

and the dialog code is at

http://opengrok.libreoffice.org/xref/core/sc/source/ui/inc/tpsort.hxx
http://opengrok.libreoffice.org/xref/core/sc/source/ui/dbgui/tpsort.cxx
http://opengrok.libreoffice.org/xref/core/sc/source/ui/src/sortdlg.src
http://opengrok.libreoffice.org/xref/core/sc/source/ui/inc/sortdlg.hrc
Comment 1 Albert Thuswaldner 2012-02-15 16:10:21 UTC
I take this one.
Comment 2 Albert Thuswaldner 2012-02-17 01:38:50 UTC
I take this one.
Comment 3 Markus Mohrhard 2012-02-17 01:40:37 UTC
Hello albert,

Great that you take this.

This task is now a two step process. In the first step we need to move from a c array to std::vector and remove the limit and in the second step we need to adapt the ui for this.

Please feel free to ask here or on the ML if you need more help.
Comment 4 Daniel Bankston 2012-03-28 19:19:16 UTC
Hi, Markus and Albert,

I see this hasn't been updated in over a month.  If Albert is no longer working on it, I'd like to take it.

Thanks.
Comment 5 Markus Mohrhard 2012-03-28 20:18:04 UTC
(In reply to comment #4)
> Hi, Markus and Albert,
> 
> I see this hasn't been updated in over a month.  If Albert is no longer working
> on it, I'd like to take it.

Hello Dnaiel,

Albert is already working on it and he has already provided the patch for the storage and is now working on the ui.

If you are interested in calc hacking and would like an easy hack I can provide one or two without problems. Just drop me a note or write a mail and we can see what will fit to your wishes.
Comment 6 Not Assigned 2012-03-31 08:47:02 UTC
Albert Thuswaldner committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=080d38bae22e21fad25884d40d679c3bf9243c82

fdo#45747 remove the limitation to 3 sort entries in calc part1
Comment 7 Markus Mohrhard 2012-03-31 21:36:06 UTC
I had to revert the last patch because it contained c++ features not present in some of the older gcc versions that we still need to support.
Comment 8 Not Assigned 2012-04-03 23:12:18 UTC
Albert Thuswaldner committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a02b445c39d969fedc554fc2c500b88a27a13906

fdo#45747 remove the limitation to 3 sort entries in calc part1
Comment 9 Not Assigned 2012-04-03 23:12:44 UTC
Albert Thuswaldner committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=71402a06a5aaf8ea5f8d956dabe513dab52bd421

fdo#45747 reverted use of init lists for backwards compabillity
Comment 10 Aldo Román Nureña 2012-04-12 18:27:12 UTC
hi guys, is this bug solved? If so, let's flag it as solved and delete from the easytasks wiki
Comment 11 Albert Thuswaldner 2012-04-12 22:56:12 UTC
(In reply to comment #10)
> hi guys, is this bug solved? If so, let's flag it as solved and delete from the
> easytasks wiki

No I'm still working on the UI bits. The bug is more than 50% complete though...
Comment 12 Not Assigned 2012-06-04 18:15:08 UTC
Albert Thuswaldner committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=35b1d1a9b47abb8cb3b45d4c6351d1c2b86b379f

fdo#45747 remove the limitation to 3 sort entries in calc part2
Comment 13 Markus Mohrhard 2012-06-04 18:20:50 UTC
Is fixed now and should be in 3.6Beta1.

I needed to fix some issues with: 
http://cgit.freedesktop.org/libreoffice/core/commit/?id=57e35b0ed54a2e74c107493869e72ab7eb86222a
Comment 14 Robinson Tryon (qubit) 2015-12-15 12:18:34 UTC
Migrating Whiteboard tags to Keywords: (EasyHack DifficultyBeginner SkillCpp )
[NinjaEdit]